Bug 116549 - devel/tcllib 1.10 port enhancements
Summary: devel/tcllib 1.10 port enhancements
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mikhail Teterin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-09-22 15:00 UTC by Martin Matuska
Modified: 2007-09-27 23:31 UTC (History)
0 users

See Also:


Attachments
file.diff (39.66 KB, patch)
2007-09-22 15:00 UTC, Martin Matuska
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Matuska freebsd_committer 2007-09-22 15:00:01 UTC
The following changes are proposed:
- USE_TCL_BUILD=84+ instead of 85+
	tcllib supports tcl84, this is the default version in FreeBSD
- two OPTIONS: TCLLIB_MAN and TCLLIB_TESTS
	To save space, user may choose to not install manpages
	User may choose not to run the test suite
- changed install destination from 
	$(PREFIX)/lib/tcllib$(PORTVERSION) to $(PREFIX)/lib/tcllib
	This will significantly ease the use of this port as a dependency
- added NO_INSTALL_MANPAGES knob
	Connected with WITH(OUT)_TCLLIB_MAN
- request for maintainership
	to me: mm@FreeBSD.org

I will fix the dependency in all the depending ports:
devel/tclxml
net-im/amsn
net-im/tkabber
net-im/tkabber-devel
net-mgmt/ipacco
security/sguil-client
security/sguil-server
www/openacs
www/openacs-dotlrn
www/tclhttpd
Comment 1 Edwin Groothuis freebsd_committer 2007-09-22 15:00:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mm

Submitter has GNATS access
Comment 2 Edwin Groothuis freebsd_committer 2007-09-22 15:00:28 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 3 mi+mill 2007-09-24 16:50:40 UTC
Thank you for reminding me of the TCL 84 issue, you are correct, requiring 85 
is unwarranted.

No, I don't think, disabling man-pages is a good idea -- we don't do it in 
other ports (except for TCL/TK and only to avoid conflicts between multiple 
installed versions). Even if desired by anyone, this should, probably, be 
handled by bsd.port.mk -- removing the files listed in MANx post-install is 
easy enough.

I don't want to make the tests optional either -- these are very useful in 
verifying the local TCL install. TCL's own tests, unfortunately, aren't 
reliable, often reporting bogus failures. The maintainers of tcllib are very 
good in addressing such false failures and we should be using their tests.

Because of the above two differences in vision, I'm wary of transferring the 
port's maintainership to you...

I will be fixing the ports explicitly referring to tcllib1.9 promptly, thanks 
for bringing this to my attention.

Yours,

 -mi
Comment 4 Martin Matuska freebsd_committer 2007-09-24 18:43:41 UTC
Responsible Changed
From-To: mm->mi

Over to maintainer.
Comment 5 as 2007-09-24 19:14:13 UTC
Hello,

 > No, I don't think, disabling man-pages is a good idea -- we don't  
do it in
 > other ports...

I dont think that this correctly ist. /usr/ports/Mk/bsd.port.mk:

   # Boolean to control whether manpages are installed.
   #
   # NO_INSTALL_MANPAGES
   #               - If set, this port doesn't want to install any  
manpages.
   #                 Default: not set, i.e. manpages are installed by  
default.

and other ports? For example:

   > find /usr/ports -name Makefile -exec grep -q NO_INSTALL_MANPAGES  
{} \; -print | wc -l
       99

Cheers
   Aron

-- 
http://www.paefchen.net    Aron Schlesinger    Jabber: as@paefchen.net

http://www.bsdgroup.de   *Push it, don't hype!*   http://www.allbsd.de
Comment 6 dfilter service freebsd_committer 2007-09-27 22:01:49 UTC
mi          2007-09-27 21:01:44 UTC

  FreeBSD ports repository

  Modified files:
    devel/tcllib         Makefile pkg-plist 
  Log:
  Install into unversioned ${PREFIX}/lib/tcllib instead of
  ${PREFIX}/lib/tcllibX.Y. This will prevent future upgrades from
  breaking ports depending on tcllib.
  
  Respect the NO_INSTALL_MANPAGES knob.
  
  Make all installed utilities contain proper name of tclsh-executable.
  
  Tcl 8.2 or higher is sufficient.
  
  Bump PORTREVISION.
  
  PR:     116549
  Submitted by:   Martin Matuska
  
  Revision  Changes    Path
  1.30      +10 -4     ports/devel/tcllib/Makefile
  1.13      +498 -498  ports/devel/tcllib/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Mikhail Teterin freebsd_committer 2007-09-27 23:31:22 UTC
State Changed
From-To: feedback->closed

Many of suggested ideas gratefully incoporated. Thanks!